# HttpResponseException

open class HttpResponseException(response: Response, message: String?, cause: Throwable?) : NetException
Content copied to clipboard

该类表示Http请求在服务器响应成功后失败

## See also

com.drake.net.exception.ResponseException

HttpStatusCode 200...299

com.drake.net.exception.RequestParamsException

HttpStatusCode 400...499

com.drake.net.exception.ServerResponseException

HttpStatusCode 500...599

## Parameters

response

响应信息

message

错误描述信息

cause

错误原因

## Constructors

HttpResponseException
Link copied to clipboard
fun HttpResponseException(response: Response, message: String? = null, cause: Throwable? = null)
Content copied to clipboard
响应信息

## Properties

response
Link copied to clipboard
open val response: Response
Content copied to clipboard
响应信息

## Inheritors

ConvertException
Link copied to clipboard
DownloadFileException
Link copied to clipboard
RequestParamsException
Link copied to clipboard
ResponseException
Link copied to clipboard
ServerResponseException
Link copied to clipboard